Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2188275 - CVE-2023-1729 digikam: LibRaw: a heap-buffer-overflow in raw2image_ex() [fedora-all]
Summary: CVE-2023-1729 digikam: LibRaw: a heap-buffer-overflow in raw2image_ex() [fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-1729
TreeView+ depends on / blocked
 
Reported: 2023-04-20 10:51 UTC by Marian Rehak
Modified: 2023-05-08 00:52 UTC (History)
4 users (show)

Fixed In Version: digikam-8.0.0-2.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-08 00:41:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github LibRaw LibRaw issues 557 0 None closed There exists heap-buffer-overflow when using function raw2image_ex(int) 2023-05-07 18:10:30 UTC

Description Marian Rehak 2023-04-20 10:51:53 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2188240

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marian Rehak 2023-04-20 10:51:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2188240,2188275

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 nucleo 2023-05-07 17:44:02 UTC
I found fix for LibRaw issue 
https://github.com/LibRaw/LibRaw/commit/9ab70f6dca19229cb5caad7cc31af4e7501bac93
is applied in digiKam 8.0.0 sources
https://invent.kde.org/graphics/digikam/-/commit/7ba146e67f3417f325e60343de4a9bc88e81f29b

So bug can be closed with update to 8.0.0?

Comment 3 Fedora Update System 2023-05-07 18:07:00 UTC
FEDORA-2023-573f6adf01 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-573f6adf01

Comment 4 Fedora Update System 2023-05-07 18:07:05 UTC
FEDORA-2023-2c75a3bd51 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2c75a3bd51

Comment 5 Fedora Update System 2023-05-08 00:41:31 UTC
FEDORA-2023-2c75a3bd51 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-05-08 00:52:47 UTC
FEDORA-2023-573f6adf01 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.